import { DbRegistry } from "./DbRegistry";
import { IStore } from "./store/types";
export * from "./types";
export interface DbDriver<T> extends IStore {
    getClient(): T;
}
export interface ConstructorArgs<T> {
    driver: DbDriver<T>;
    table?: string;
}
declare class Db<T> {
    driver: DbDriver<T>;
    readonly table?: string;
    readonly store: IStore;
    readonly registry: DbRegistry;
    constructor({ driver, table }: ConstructorArgs<T>);
}
export { Db };
