"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  Db: true
};
exports.Db = void 0;
var _DbRegistry = require("./DbRegistry");
var _Store = require("./store/Store");
var _types = require("./types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});
class Db {
  registry = new _DbRegistry.DbRegistry();
  constructor({
    driver,
    table
  }) {
    this.table = table;
    this.driver = driver;
    this.store = new _Store.Store({
      driver
    });
  }
}
exports.Db = Db;

//# sourceMappingURL=index.js.map