import { GetValueResult, GetValuesResult, IListValuesParams, IStore, ListValuesResult, RemoveValueResult, RemoveValuesResult, StorageKey, StoreValueResult, StoreValuesResult } from "./types";
import { GenericRecord } from "@webiny/api/types";
import { DbDriver } from "../index";
export interface IStoreParams<T> {
    driver: DbDriver<T>;
}
export declare class Store<T> implements IStore {
    private driver;
    constructor(params: IStoreParams<T>);
    storeValue<V>(key: StorageKey, value: V): Promise<StoreValueResult<V>>;
    storeValues<V extends GenericRecord<StorageKey>>(values: V): Promise<StoreValuesResult<V>>;
    getValue<V>(key: StorageKey): Promise<GetValueResult<V>>;
    getValues<V extends GenericRecord<StorageKey>>(keys: (keyof V)[]): Promise<GetValuesResult<V>>;
    listValues<V extends GenericRecord<StorageKey>>(params?: IListValuesParams): Promise<ListValuesResult<V>>;
    removeValue<V>(key: StorageKey): Promise<RemoveValueResult<V>>;
    removeValues<V extends GenericRecord<StorageKey>>(keys: (keyof V)[]): Promise<RemoveValuesResult<V>>;
}
